## drkonqi 5.26.0

=== debian/changelog ===
drkonqi (5.26.0-2) unstable; urgency=medium

  * Team upload.
  * Limit the libsystemd-dev build dependency to Linux architectures, as it is
    available only there.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Remove breaks/replaces for versions older than oldstable.
  * Rename debian/lintian-overrides to debian/drkonqi.lintian-overrides, to make
    it clearer (and consistent with other files) to which package it refers to.
  * Update the build dependencies according to the upstream build system:
    - drop libqt5x11extras5-dev, not used
    - drop zlib1g-dev, used only on mingw

 -- Pino Toscano <pino@debian.org>  Mon, 17 Oct 2022 07:54:55 +0200

drkonqi (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:43:58 +0200

drkonqi (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:19 +0200

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               kuserfeedback-dev,
               libkf5completion-dev (>= 5.98.0~),
               libkf5config-dev (>= 5.98.0~),
               libkf5coreaddons-dev (>= 5.98.0~),
               libkf5crash-dev (>= 5.98.0~),
               libkf5declarative-dev (>= 5.98.0~),
               libkf5i18n-dev (>= 5.98.0~),
               libkf5idletime-dev (>= 5.98.0~),
               libkf5jobwidgets-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5notifications-dev (>= 5.98.0~),
               libkf5service-dev (>= 5.98.0~),
               libkf5syntaxhighlighting-dev (>= 5.98.0~),
               libkf5wallet-dev (>= 5.98.0~),
               libkf5widgetsaddons-dev (>= 5.98.0~),
               libkf5windowsystem-dev (>= 5.98.0~),
               libsystemd-dev [linux-any],
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: systemd-coredump [linux-any]
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 5.26.3

=== debian/changelog ===
drkonqi (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:41:47 +0100

drkonqi (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:24:58 +0200

## drkonqi 5.26.4

=== debian/changelog ===
drkonqi (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:58:43 +0100

## drkonqi 5.26.5

=== debian/changelog ===
drkonqi (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:04 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
+               zlib1g-dev,
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi

## drkonqi 5.26.90

=== debian/changelog ===
drkonqi (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/drkonqi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git

## drkonqi 5.27.2

=== debian/changelog ===
drkonqi (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:58:47 +0100

drkonqi (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:34 +0100

## drkonqi 5.27.4

=== debian/changelog ===
drkonqi (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:00 +0100

drkonqi (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:25 +0000

drkonqi (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:15 +0000

drkonqi (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:45:58 +0000

drkonqi (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:39:59 +0000

drkonqi (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:00 +0000

drkonqi (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:13:26 +0000

drkonqi (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Demote systemd-coredump to Suggests:

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 11:12:18 +0000

drkonqi (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:06 +0000

drkonqi (5.26.3-0ubuntu2) lunar; urgency=medium

  * Demote systemd-coredump to Suggests:

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 06:19:46 +0000

drkonqi (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:10:38 +0000

drkonqi (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update build deps from cmake.
  * Sync changes from Debian 5.26.0-2

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:11 +0000

drkonqi (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:29 +0100

drkonqi (5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 23:14:23 +0100

drkonqi (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:25 +0100

drkonqi (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:02 +0100

drkonqi (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:03 +0100

drkonqi (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:21 +0100

drkonqi (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:04:56 +0100

drkonqi (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * New build deps on qtdeclarative5-dev & libkf5declarative-dev

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:25 +0100

drkonqi (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:32 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11,
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               kuserfeedback-dev,
               libkf5completion-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5idletime-dev (>= 5.102.0~),
               libkf5jobwidgets-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5service-dev (>= 5.102.0~),
               libkf5syntaxhighlighting-dev (>= 5.102.0~),
               libkf5wallet-dev (>= 5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libsystemd-dev [linux-any],
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: systemd-coredump [linux-any]
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 5.27.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(drkonqi)
set(PROJECT_VERSION "5.27.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMMarkAsTest)
include(CheckFunctionExists)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMFindQmlModule)
include(ECMSourceVersionControl)
include(CMakeDependentOption)

option(WITH_GDB12 "The gdb version available is at least GDB 12 (this enables dynamic debug symbol resolution even when no DEBUG_PACKAGE_INSTALLER_NAME is available)" FALSE)
option(WITH_SENTRY "Submit crashes to KDE's Sentry instance" ${ECM_SOURCE_UNDER_VERSION_CONTROL})

kde_enable_exceptions()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Widgets Test DBus Concurrent Quick)

find_package(
    KF5
    ${KF5_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        CoreAddons
        Config
        Service
        JobWidgets
        KIO
        Crash
        Completion
        WidgetsAddons
        Wallet
        Notifications
        IdleTime
        WindowSystem
        SyntaxHighlighting
)

find_package(KUserFeedback)
set_package_properties(KUserFeedback PROPERTIES TYPE REQUIRED PURPOSE "Checking whether feedback is enabled or not")

ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(org.kde.kitemmodels 1.0)
ecm_find_qmlmodule(org.kde.kcm 1.6)
ecm_find_qmlmodule(org.kde.syntaxhighlighting 1.0)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.92
)

find_package(Systemd)
set_package_properties(Systemd PROPERTIES TYPE RECOMMENDED PURPOSE "Coredumpd integration.")

if(Systemd_FOUND)
    find_package(coredumpctl)
    set_package_properties(
        coredumpctl
        PROPERTIES
        TYPE RUNTIME
        DESCRIPTION "coredumpd CLI. part of systemd"
        PURPOSE "Required for coredumpd support to work at runtime!"
    )
endif()

if(MINGW)
    find_package(ZLIB REQUIRED)
    find_library(INTL_LIBRARY NAMES intl)
    find_library(IBERTY_LIBRARY NAMES iberty)
    find_library(BFD_LIBRARY NAMES bfd)
    if(IBERTY_LIBRARY)
        set(iberty_FOUND 1)
    else()
        set(msg "iberty")
    endif()
    if(BFD_LIBRARY)
        set(bfd_FOUND 1)
    else()
        set(msg "${msg} bfd")
    endif()
    if(INTL_LIBRARY)
        set(intl_FOUND 1)
    else()
        set(msg "${msg} intl")
    endif()
    if(msg)
        message(FATAL_ERROR "could not find ${msg}")
    endif()

    add_library(intl SHARED IMPORTED)
    set_target_properties(intl PROPERTIES IMPORTED_IMPLIB ${INTL_LIBRARY})
    add_library(iberty STATIC IMPORTED)
    set_target_properties(iberty PROPERTIES IMPORTED_LOCATION ${IBERTY_LIBRARY})
    add_library(bfd STATIC IMPORTED)
    set_target_properties(
        bfd
        PROPERTIES
            IMPORTED_LOCATION ${BFD_LIBRARY}
            # bfd header requires this to be defined
            INTERFACE_COMPILE_DEFINITIONS "PACKAGE;PACKAGE_VERSION"
    )
    find_path(BFD_INCLUDE_DIR bfd.h)
    include_directories(${BFD_INCLUDE_DIR})
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

add_subdirectory(src)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DRKONQI
    FILE drkonqi.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"drkonqi5\")

include(CheckFunctionExists)

check_function_exists("strsignal" HAVE_STRSIGNAL)
check_function_exists("uname" HAVE_UNAME)

if(NOT DEBUG_PACKAGE_INSTALLER_NAME)
    set(DEBUG_PACKAGE_INSTALLER_NAME "installdbgsymbols.sh")
endif()

configure_file(config-drkonqi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-drkonqi.h)

add_subdirectory(bugzillaintegration/libbugzilla)
add_subdirectory(data)
add_subdirectory(parser)
if(WIN32)
    find_package(KDEWin REQUIRED)
    # for finding drkonqi_debug.h
    include_directories(${CMAKE_CURRENT_BINARY_DIR})
    add_subdirectory(kdbgwin)
endif()

set(drkonqi_SRCS
    drkonqidialog.cpp
    statuswidget.cpp
    backtraceratingwidget.cpp
    backtracewidget.cpp
    backtracegenerator.cpp
    drkonqi.cpp
    drkonqibackends.cpp
    detachedprocessmonitor.cpp
    debugpackageinstaller.cpp
    systeminformation.cpp
    crashedapplication.cpp
    debugger.cpp
    debuggerlaunchers.cpp
    ptracer.cpp
    debuggermanager.cpp
    statusnotifier.cpp
    statusnotifier_activationclosetimer.cpp
    linuxprocmapsparser.cpp
    drkonqi_globals.cpp
    qmlextensions/duplicatemodel.cpp
    qmlextensions/platformmodel.cpp
    qmlextensions/reproducibilitymodel.cpp
    qmlextensions/credentialstore.cpp
    qmlextensions/commentmodel.cpp
    qmlextensions/qobjectlistmodel.cpp
    qmlextensions/doctore.cpp
)

ki18n_wrap_ui(drkonqi_SRCS
    ui/maindialog.ui
    ui/backtracewidget.ui
)

# if BACKTRACE_PARSER_DEBUG is enabled, it will show both the
# parsed and the unparsed backtrace in the backtrace widget.
# Comment this out for release.
#add_definitions(-DBACKTRACE_PARSER_DEBUG)

set(drkonqi_SRCS
    ${drkonqi_SRCS}
    bugzillaintegration/bugzillalib.cpp
    bugzillaintegration/reportinterface.cpp
    bugzillaintegration/productmapping.cpp
    bugzillaintegration/parsebugbacktraces.cpp
    bugzillaintegration/duplicatefinderjob.cpp
    bugzillaintegration/sentrybeacon.cpp
)

ecm_qt_declare_logging_category(
    drkonqi_SRCS
    HEADER drkonqi_debug.h
    IDENTIFIER DRKONQI_LOG
    CATEGORY_NAME org.kde.drkonqi
    DESCRIPTION "drkonqi"
    EXPORT DRKONQI
)

# transient static lib we can use to link autotests against
add_library(DrKonqiInternal STATIC ${drkonqi_SRCS})

target_link_libraries(
    DrKonqiInternal
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigGui
    KF5::JobWidgets
    KF5::KIOCore
    KF5::KIOGui
    KF5::Crash
    KF5::Completion
    KF5::WindowSystem
    Qt::DBus
    Qt::Concurrent
    Qt::Qml
    KF5::WidgetsAddons
    KF5::Wallet
    KF5::Notifications # for status notifier
    KF5::IdleTime # hide status notifier only if user saw it
    KF5::SyntaxHighlighting # Backtrace Highlighting
    drkonqi_backtrace_parser
    qbugzilla
    KUserFeedbackCore
)

if(Systemd_FOUND)
    add_subdirectory(coredump)

    target_sources(DrKonqiInternal PRIVATE coredumpbackend.cpp)
    target_compile_definitions(DrKonqiInternal PRIVATE SYSTEMD_AVAILABLE)
    if(Systemd_VERSION GREATER 247)
        add_compile_definitions(COREDUMPD_SUPPORTS_DEBUGGER_ARGUMENTS)
    endif()
endif()

if(WIN32)
    target_link_libraries(DrKonqiInternal kdewin)
endif()

add_executable(drkonqi main.cpp qml/qml.qrc)
ecm_mark_nongui_executable(drkonqi)
target_link_libraries(drkonqi DrKonqiInternal)

install(TARGETS drkonqi DESTINATION ${KDE_INSTALL_LIBEXECDIR})
configure_file(org.kde.drkonqi.desktop.cmake ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop)
install(PROGRAMS ${CMAKE_BINARY_DIR}/src/org.kde.drkonqi.desktop DESTINATION ${KDE_INSTALL_APPDIR})

add_subdirectory(tests)

add_subdirectory(bugzillaintegration/libbugzilla/autotests)

=== src/parser/CMakeLists.txt ===
set(BACKTRACEPARSER_SRCS
    backtraceparser.cpp
    backtraceparsergdb.cpp
    backtraceparserkdbgwin.cpp
    backtraceparsernull.cpp
    backtraceparserlldb.cpp
    backtraceparsercdb.cpp
)

ecm_qt_declare_logging_category(
    BACKTRACEPARSER_SRCS
    HEADER drkonqi_parser_debug.h
    IDENTIFIER DRKONQI_PARSER_LOG
    CATEGORY_NAME org.kde.drkonqi.parser
    DESCRIPTION "drkonqi parser"
    EXPORT DRKONQI
)

add_library(drkonqi_backtrace_parser STATIC ${BACKTRACEPARSER_SRCS})
target_link_libraries(drkonqi_backtrace_parser PUBLIC Qt::Core)

=== src/tests/CMakeLists.txt ===
if(NOT BUILD_TESTING)
    # Skip everything. Particularly trying to look for integration test deps.
    return()
endif()

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

# Test helper for systeminformationtest
if(HAVE_UNAME)
    add_executable(lsb_release lsb_release_double.c)

    ecm_add_tests(systeminformationtest.cpp LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)
endif()

add_subdirectory(crashtest)
add_subdirectory(backtraceparsertest)
add_subdirectory(bugzillalibtest)

ecm_add_tests(gdbbacktracelinetest.cpp LINK_LIBRARIES Qt::Core Qt::Test drkonqi_backtrace_parser)
ecm_add_tests(
        linuxprocmapsparsertest.cpp
        statusnotifier_activationclosetimertest.cpp
    LINK_LIBRARIES Qt::Core Qt::Test DrKonqiInternal)

if(NOT APPLE)
    if(NOT RUBY_EXECTUABLE)
        find_program(RUBY_EXECUTABLE ruby)
    endif()
    if(RUBY_EXECUTABLE)
        execute_process(COMMAND ${RUBY_EXECUTABLE} -e "require 'atspi'" RESULT_VARIABLE RUBY_ATSPI)
    endif()
    if(NOT GDB_EXECUTABLE)
        # Needed so drkonqi can actually trace something.
        find_program(GDB_EXECUTABLE gdb)
    endif()
    if(NOT XVFB_RUN_EXECTUABLE)
        find_program(XVFB_RUN_EXECTUABLE xvfb-run)
    endif()

    set(ATSPI_PATHS
        /usr/lib/at-spi2-core/ # debians
        /usr/libexec/ # newer debians
        /usr/lib/at-spi2/ # suses
    )
    if(NOT ATSPI_BUS_LAUNCHER_EXECUTABLE)
        find_program(
            ATSPI_BUS_LAUNCHER_EXECUTABLE
            NAMES at-spi-bus-launcher
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility dbus launcher"
        )
    endif()
    if(NOT ATSPI_REGISTRYD_EXECUTABLE)
        find_program(
            ATSPI_REGISTRYD_EXECUTABLE
            NAMES at-spi2-registryd
            PATHS ${ATSPI_PATHS}
            DOC "AT-SPI accessibility registry daemon"
        )
    endif()

    if(
        RUBY_EXECUTABLE
        AND XVFB_RUN_EXECTUABLE
        AND ATSPI_BUS_LAUNCHER_EXECUTABLE
        AND ATSPI_REGISTRYD_EXECUTABLE
        AND GDB_EXECUTABLE
        AND RUBY_ATSPI EQUAL 0
    )
        set(WITH_DRKONI_INTEGRATION_TESTING TRUE)
        add_subdirectory(integration)
    endif()
    add_feature_info(
        DrKonqiIntegrationTesting
        WITH_DRKONI_INTEGRATION_TESTING
        "Needs Ruby, functional atspi gem, gdb, as well as xvfb-run."
    )
endif()

=== src/coredump/cleanup/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Harald Sitter <sitter@kde.org>

add_subdirectory(autotests)

add_executable(drkonqi-coredump-cleanup main.cpp)
install(TARGETS drkonqi-coredump-cleanup DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(drkonqi-coredump-cleanup.service.cmake ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-cleanup.service)
install(
    FILES drkonqi-coredump-cleanup.timer ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-cleanup.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUSERUNITDIR}
)

=== src/coredump/processor/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2019-2022 Harald Sitter <sitter@kde.org>

add_executable(drkonqi-coredump-processor main.cpp)
target_link_libraries(drkonqi-coredump-processor Qt::Core drkonqi-coredump)
install(TARGETS drkonqi-coredump-processor DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(
    drkonqi-coredump-processor@.service.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
)
install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/drkonqi-coredump-processor@.service
    DESTINATION ${KDE_INSTALL_SYSTEMDUNITDIR}/system
)

# https://github.com/systemd/systemd/issues/19437
add_feature_info(
    "drkonqi-coredump-processor@.service"
    FALSE
    "The service does not enable correctly with systemd (up to at least version 248). It needs manual symlinking to enable.")

=== src/bugzillaintegration/libbugzilla/autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)
include(GenerateExportHeader)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG REQUIRED)

# Include src so we have access to config-kcrash.h
include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

ecm_add_tests(
    attachmenttest.cpp
    bugtest.cpp
    bugfieldtest.cpp
    bugzillatest.cpp
    commenttest.cpp
    connectiontest.cpp
    producttest.cpp
    LINK_LIBRARIES Qt::Core Qt::Test Qt::Network qbugzilla
)

ecm_mark_nongui_executable(bugzillatest)

=== debian/changelog ===
drkonqi (5.27.5-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix drkonqi not starting on application crash, by enabling
    drkonqi-coredump-processor@.service template on installation.
    (Closes: #1034215)
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:39 +0200

drkonqi (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:25:44 +0200

drkonqi (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:13:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -16,7 +15,7 @@
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.98.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5idletime-dev (>= 5.102.0~),
                libkf5jobwidgets-dev (>= 5.102.0~),
@@ -32,10 +31,10 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
 Rules-Requires-Root: no
 
 Package: drkonqi
@@ -43,7 +42,7 @@
 Depends: qml-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: systemd-coredump [linux-any]
+Recommends: systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:

## drkonqi 5.27.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== debian/changelog ===
drkonqi (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:32 +0100

drkonqi (5.27.7-1ubuntu2) mantic; urgency=medium

  * Revert changes to use systemd-coredump.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 08:59:23 +0100

drkonqi (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 12:06:38 +0100

drkonqi (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:38 +0200

drkonqi (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -15,7 +16,7 @@
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.102.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5idletime-dev (>= 5.102.0~),
                libkf5jobwidgets-dev (>= 5.102.0~),
@@ -33,8 +34,8 @@
                zlib1g-dev,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
 Rules-Requires-Root: no
 
 Package: drkonqi
@@ -42,7 +43,7 @@
 Depends: qml-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: systemd-coredump [linux-any],
+Suggests: systemd-coredump [linux-any]
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

## drkonqi 5.27.10

=== debian/changelog ===
drkonqi (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:15:36 +0100

drkonqi (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:51:20 +0200

drkonqi (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:47:03 +0200

## drkonqi 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(drkonqi)
-set(PROJECT_VERSION "5.27.8")
+set(PROJECT_VERSION "5.27.11")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.15.2")

=== src/data/CMakeLists.txt ===
install(FILES mappings DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi)
install(DIRECTORY debuggers DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi FILES_MATCHING PATTERN "*rc")
install(DIRECTORY gdb DESTINATION ${KDE_INSTALL_DATADIR}/drkonqi)

=== src/kdbgwin/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/..)

set(kdbgwin_SRCS
    common.h
    main.cpp
    kdbgwin_process.h
    kdbgwin_process.cpp
    abstract_generator.h
    abstract_generator.cpp
    callbacks.h
    callbacks.cpp
    outputters.h
    outputters.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/../drkonqi_debug.cpp
)

set(COMMON_LIBS dbghelp psapi shlwapi Qt${QT_MAJOR_VERSION}::Core)

if(MINGW)
    add_executable(kdbgwin ${kdbgwin_SRCS} mingw_generator.h mingw_generator.cpp)
    target_link_libraries(kdbgwin PRIVATE ${COMMON_LIBS} bfd iberty intl ZLIB::ZLIB)
endif()
if(MSVC OR ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Intel"))
    add_executable(kdbgwin ${kdbgwin_SRCS} msvc_generator.h msvc_generator.cpp)
    target_link_libraries(kdbgwin ${COMMON_LIBS})
endif()

install(TARGETS kdbgwin DESTINATION ${KDE_INSTALL_LIBEXECDIR})

=== src/bugzillaintegration/libbugzilla/CMakeLists.txt ===
set(lib_SRCS
    apijob.cpp
    bugzilla.cpp
    connection.cpp
    exceptions.cpp
    query.cpp
    clients/attachmentclient.cpp
    clients/bugclient.cpp
    clients/bugfieldclient.cpp
    clients/commentclient.cpp
    clients/clientbase.cpp
    clients/productclient.cpp
    clients/commands/bugsearch.cpp
    clients/commands/bugupdate.cpp
    clients/commands/jsoncommand.cpp
    clients/commands/newattachment.cpp
    clients/commands/newbug.cpp
    clients/commands/querycommand.cpp
    models/bug.cpp
    models/bugfield.cpp
    models/comment.cpp
    models/logindetails.cpp
    models/product.cpp
)

ecm_qt_declare_logging_category(
    lib_SRCS
    HEADER bugzilla_debug.h
    IDENTIFIER BUGZILLA_LOG
    CATEGORY_NAME org.kde.drkonqi.bugzilla
    DEFAULT_SEVERITY Warning
    DESCRIPTION "drkonqi bugzilla"
    EXPORT DRKONQI
)

add_library(qbugzilla STATIC ${lib_SRCS})
target_link_libraries(qbugzilla PUBLIC Qt::Core Qt::Network KF5::CoreAddons KF5::KIOCore)

=== src/tests/crashtest/CMakeLists.txt ===
add_executable(crashtest crashtest.cpp)
ecm_mark_as_test(crashtest)
ecm_mark_nongui_executable(crashtest)
target_link_libraries(crashtest KF5::Crash KF5::CoreAddons Qt::Gui Qt::Concurrent)

=== debian/changelog ===
drkonqi (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: drkonqi
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -16,7 +15,7 @@
                libkf5config-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
                libkf5crash-dev (>= 5.102.0~),
-               libkf5declarative-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.98.0~),
                libkf5i18n-dev (>= 5.102.0~),
                libkf5idletime-dev (>= 5.102.0~),
                libkf5jobwidgets-dev (>= 5.102.0~),
@@ -32,10 +31,10 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/drkonqi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
 Rules-Requires-Root: no
 
 Package: drkonqi
@@ -43,7 +42,7 @@
 Depends: qml-module-org-kde-syntaxhighlighting,
          ${misc:Depends},
          ${shlibs:Depends},
-Suggests: systemd-coredump [linux-any]
+Recommends: systemd-coredump [linux-any],
 Description: Crash handler for Qt applications
  Drkonqi shows a dialog for dealing with application crashes.
  .

## drkonqi 6.1.5

=== debian/changelog ===
drkonqi (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:57:53 +0100

drkonqi (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:41:04 +0100

drkonqi (6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Demote systemd-coredump to Suggests.
    - Don't install systemd-coredump postinst/postrm as we use apport.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 09:58:36 +0100

drkonqi (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:06 +0200

drkonqi (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:41:47 +0200

drkonqi (5.27.11-0ubuntu3) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:34 +0200

drkonqi (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:49:55 +0000

drkonqi (5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:20:30 +0000

drkonqi (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:16:14 +0000

drkonqi (5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Frameworks build deps at 5.102.0

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:04:23 -0700

drkonqi (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:37 +0000

drkonqi (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:17:43 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6idletime-dev (>= 6.2.0~),
               libkf6jobwidgets-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6statusnotifieritem-dev (>= 6.2.0~),
               libkf6syntaxhighlighting-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/drkonqi
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil, python3-sentry-sdk
Suggests: systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.2.2

=== debian/changelog ===
drkonqi (6.2.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 22 Oct 2024 18:43:50 +0200

drkonqi (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:42:50 +0200

drkonqi (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.2.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:38 +0200

drkonqi (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:27:27 +0200

drkonqi (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Review copyright information.
  * Add lintian override for drkonqi-sentry-data not having a man page, it
    doesn’t have command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:15 +0200

## drkonqi 6.2.3

=== debian/changelog ===
drkonqi (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:22 +0100

## drkonqi 6.2.4

=== debian/changelog ===
drkonqi (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:20:57 +0100

=== debian/control ===
Source: drkonqi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               libkf6config-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.5.0~),
               libkf6crash-dev (>= 6.5.0~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6idletime-dev (>= 6.5.0~),
               libkf6jobwidgets-dev (>= 6.5.0~),
               libkf6kio-dev (>= 6.5.0~),
               libkf6notifications-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6statusnotifieritem-dev (>= 6.5.0~),
               libkf6syntaxhighlighting-dev (>= 6.5.0~),
               libkf6wallet-dev (>= 6.5.0~),
               libkf6widgetsaddons-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libpolkit-qt6-1-dev,
               libsystemd-dev [linux-any],
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/drkonqi
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/drkonqi
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/drkonqi.git
Rules-Requires-Root: no

Package: drkonqi
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-syntaxhighlighting,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: python3-psutil, python3-sentry-sdk, systemd-coredump [linux-any],
Description: Crash handler for Qt applications
 Drkonqi shows a dialog for dealing with application crashes.
 .
 Drkonqi also doesn't technically require a process to actually crash, you
 can simply run it manually on any old pid. Do note that in most cases you
 only need to define the pid, however not giving certain cmdline options can
 change behavior somewhat drastically (e.g. kdeinit vs. notkdeinit behaves
 radically different as far as process name detection goes) . Drkonqi has a
 number of backends that may be used. Backends are stacked by order of
 preference, backends in the directory of the binary are most preferred.
 This means that you can dump debuggers/internal/ into your build's bin/
 directory and override for example gdb. This essentially allows you to
 replace the gdb debugger with a cat of a fixture file to not have to trace
 live processes at all.

## drkonqi 6.2.5

=== debian/changelog ===
drkonqi (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 10:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.5.0~),
                gettext,
                libkf6config-dev (>= 6.5.0~),
